Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRRecordedValuesPrintText

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRTemplatePrintElement
          net.sf.jasperreports.engine.fill.JRTemplatePrintText
              net.sf.jasperreports.engine.fill.JRRecordedValuesPrintText

All Implemented Interfaces:
  java.io.Serializable, JRRecordedValuesPrintElement, JRAlignment, JRBox, JRBoxContainer, JRCommonElement, JRCommonText, JRFont, JRPrintAnchor, JRPrintElement, JRPrintHyperlink, JRPrintText, JRPropertiesHolder, JRStyleContainer

    public class JRRecordedValuesPrintText

extends JRTemplatePrintText
implements JRRecordedValuesPrintElement

Print text implementation that supports recorded values.

Version:
  $Id: JRRecordedValuesPrintText.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintText
`bookmarkLevel`

Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement
`template`

Fields inherited from interface net.sf.jasperreports.engine.JRPrintText
`RUN_DIRECTION_LTR, RUN_DIRECTION_RTL, ZERO_LINE_BREAK_OFFSETS`

Fields inherited from interface net.sf.jasperreports.engine.JRAlignment
`HORIZONTAL_ALIGN_CENTER, HORIZONTAL_ALIGN_JUSTIFIED, HORIZONTAL_ALIGN_LEFT, HORIZONTAL_ALIGN_RIGHT, VERTICAL_ALIGN_BOTTOM, VERTICAL_ALIGN_JUSTIFIED, VERTICAL_ALIGN_MIDDLE, VERTICAL_ALIGN_TOP`

Fields inherited from interface net.sf.jasperreports.engine.JRFont
`DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

Fields inherited from interface net.sf.jasperreports.engine.JRCommonText
`MARKUP_HTML, MARKUP_NONE, MARKUP_RTF, MARKUP_STYLED_TEXT`

Constructor Summary
`JRRecordedValuesPrintText(JRTemplateText text)`

Method Summary
`void` | `deleteRecordedValues()` Releases the recorded values set.
`JRRecordedValues` | `getRecordedValues()` Returns the recorded values set.
`void` | `initRecordedValues(java.util.Set evaluationTimes)` Initializes the recorded values set.

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintText
`accept, getAnchorName, getBookmarkLevel, getBorder, getBorderColor, getBottomBorder, getBottomBorderColor, getBottomPadding, getBox, getFont, getFontName, getFontSize, getFormatFactoryClass, getFullStyledText, getFullText, getHorizontalAlignment, getHorizontalAlignmentValue, getHyperlinkAnchor, getHyperlinkPage, getHyperlinkParameters, getHyperlinkReference, getHyperlinkTarget, getHyperlinkTargetValue, getHyperlinkTooltip, getHyperlinkType, getHyperlinkTypeValue, getLeadingOffset, getLeftBorder, getLeftBorderColor, getLeftPadding, getLineBox, getLineBreakOffsets, getLineSpacing, getLineSpacingFactor, getLineSpacingValue, getLinkTarget, getLinkType, getLocaleCode, getMarkup, getOriginalText, getOwnBorder, getOwnBorderColor, getOwnBottomBorder, getOwnBottomBorderColor, getOwnBottomPadding, getOwnFontName, getOwnFontSize, getOwnHorizontalAlignment, getOwnHorizontalAlignmentValue, getOwnLeftBorder, getOwnLeftBorderColor, getOwnLeftPadding, getOwnLineSpacing, getOwnLineSpacingValue, getOwnMarkup, getOwnPadding, getOwnPdfEncoding, getOwnPdfFontName, getOwnRightBorder, getOwnRightBorderColor, getOwnRightPadding, getOwnRotation, getOwnRotationValue, getOwnSize, getOwnTopBorder, getOwnTopBorderColor, getOwnTopPadding, getOwnVerticalAlignment, getOwnVerticalAlignmentValue, getPadding, getPattern, getPdfEncoding, getPdfFontName, getReportFont, getRightBorder, getRightBorderColor, getRightPadding, getRotation, getRotationValue, getRunDirection, getRunDirectionValue, getSize, getStyledText, getText, getTextAlignment, getTextHeight, getTextTruncateIndex, getTextTruncateSuffix, getTimeZoneId, getTopBorder, getTopBorderColor, getTopPadding, getValueClassName, getVerticalAlignment, getVerticalAlignmentValue, isBold, isItalic, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnStyledText, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isStyledText, isUnderline, setAnchorName, setBold, setBold, setBookmarkLevel, setBorder, setBorder, setBorderColor, setBottomBorder, setBottomBorder, setBottomBorderColor, setBottomPadding, setBottomPadding, setBox, setFont, setFontName, setFontSize, setFontSize, setHorizontalAlignment, setHorizontalAlignment, setHorizontalAlignment, setHyperlinkAnchor, setHyperlinkPage, setHyperlinkParameters, setHyperlinkReference, setHyperlinkTarget, setHyperlinkTarget, setHyperlinkTooltip, setHyperlinkType, setHyperlinkType, setItalic, setItalic, setLeadingOffset, setLeftBorder, setLeftBorder, setLeftBorderColor, setLeftPadding, setLeftPadding, setLineBreakOffsets, setLineSpacing, setLineSpacing, setLineSpacing, setLineSpacingFactor, setLinkTarget, setLinkTarget, setLinkType, setMarkup, setPadding, setPadding, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setReportFont, setRightBorder, setRightBorder, setRightBorderColor, setRightPadding, setRightPadding, setRotation, setRotation, setRotation, setRunDirection, setRunDirection, setSize, setSize, setStrikeThrough, setStrikeThrough, setStyledText, setStyledText, setText, setTextAlignment, setTextHeight, setTextTruncateIndex, setTextTruncateSuffix, setTopBorder, setTopBorder, setTopBorderColor, setTopPadding, setTopPadding, setUnderline, setUnderline, setVerticalAlignment, setVerticalAlignment, setVerticalAlignment`

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement
`getBackcolor, getDefaultLineColor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getMode, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getTemplate, getWidth, getX, getY, hasProperties, setBackcolor, setForecolor, setHeight, setMode, setMode, setMode, setStyle, setTemplate, setWidth, setX, setY, updateElementTemplate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement
`accept, getHeight, getKey, getOrigin, getWidth, getX, getY, setHeight, setStyle, setWidth, setX, setY`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor`

Constructor Detail

### JRRecordedValuesPrintText

    public JRRecordedValuesPrintText(JRTemplateText text)

Method Detail

### getRecordedValues

    public JRRecordedValues getRecordedValues()

  Description copied from interface: `JRRecordedValuesPrintElement`
  Returns the recorded values set.

  Specified by:
    `getRecordedValues` in interface `JRRecordedValuesPrintElement`
  Returns:
    the recorded values set

### deleteRecordedValues

    public void deleteRecordedValues()

  Description copied from interface: `JRRecordedValuesPrintElement`
  Releases the recorded values set.

  This is called when all the recorded values are available and the element has been evaluated.

  Specified by:
    `deleteRecordedValues` in interface `JRRecordedValuesPrintElement`

### initRecordedValues

    public void initRecordedValues(java.util.Set evaluationTimes)

  Description copied from interface: `JRRecordedValuesPrintElement`
  Initializes the recorded values set.

  Specified by:
    `initRecordedValues` in interface `JRRecordedValuesPrintElement`
  Parameters:
    `evaluationTimes` - future times when the values will be recorded

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com